<?php
class CLMHora extends AppColumna{
	
	public function __construct($name, $valor = null, $cabecera = null){
		parent::__construct($name, $valor, $cabecera);
		$this->tipo = 'hora';
	}
	
	public function getCampo(){
		$campo = new EFHora($this->getEditable());
		$campo->setAncho(12);
		return $campo;
	}
	
	public function reemplaza_datosCampo($datos){
		$dato = parent::reemplaza_datosCampo($datos);
		$dato = AppHerramienta::fechaHumanaSoloHora($dato);
		return $dato;
	}
	
}